/*
 * Created on Jun 30, 2004
 *
 */
package pupil;

/**
 * @author chris
 * 
 * the datastructure holding the pupil size data for one time
 */
public class PupilDataPacket extends DataPacket {

	/** the pupil size */
	private float pupilSize;

	/**
	 * @param time -
	 *            the time for this packet
	 * @param pupilSize -
	 *            a pupilSize
	 */
	public PupilDataPacket(long time, float pupilSize) {
		super(time);
		this.pupilSize = pupilSize;
	}

	/**
	 * @return Returns the averaged pupilSize.
	 */
	public float getPupilSize() {
		return pupilSize;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return new String("Time: " + getTimeStamp() + ", PupilSize: "
				+ getPupilSize());
	}
}