/*
 * Created on Oct 9, 2004
 * MYQTFile.java
 * 
 * Project: eyetrack_cvs
 */
package video;

import java.io.File;
import java.lang.reflect.InvocationTargetException;

/**
 * @author chris interface for quicktime.io.QTFile class
 */
public class MYQTFile {

	/** The actual QTfile object* */
	private Object qtFile = null;

	/**
	 * wrapper constructor of actual QTFile class
	 * 
	 * @param f
	 * @throws NoSuchMethodException
	 * @throws InvocationTargetException
	 * @throws IllegalAccessException
	 * @throws InstantiationException
	 * @throws SecurityException
	 * @throws IllegalArgumentException
	 * @throws ClassNotFoundException
	 */
	public MYQTFile(File f) throws IllegalArgumentException, SecurityException,
			InstantiationException, IllegalAccessException,
			InvocationTargetException, NoSuchMethodException,
			ClassNotFoundException {
		Class qtFileClass = ClassLoader.getSystemClassLoader().loadClass(
				"quicktime.io.QTFile");
		qtFile = qtFileClass.getConstructor(new Class[] { File.class })
				.newInstance(new Object[] { f });
	}

	/**
	 * method returns the actual QTFile object
	 * 
	 * @return
	 */
	protected Object toQTFile() {
		return qtFile;
	}

}