/*
 * Created on Jun 30, 2004
 */
package pupil;

/**
 * @author chris
 *  
 */
public class EndPacket extends DataPacket {

	/** the trial to which this end belongs */
	private int trial;

	/**
	 * constructor.
	 * 
	 * @param timestamp -
	 *            the time
	 * @param trial -
	 *            trial to which this packet belongs
	 */
	public EndPacket(long timestamp, int trial) {
		super(timestamp);
		this.trial = trial;
	}

	/**
	 * @return Returns the trial.
	 */
	public int getTrial() {
		return trial;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "End of trial " + getTrial() + ": " + getTimeStamp();
	}
}