/*
 * Created on Oct 31, 2004
 * View.java
 * 
 * Project: eyetrack_cvs
 */
package view;

/**
 * @author chris
 *  
 */
public interface View {

	public void setSelection(long minTime, long maxTime);

	public void setLocal(long minTime, long maxTime);

	public void setGlobal(long inTime, long maxTime);

	public void purge();

	/**
	 * @param minTime
	 * @param maxTime
	 */
	public void previewSelection(long minTime, long maxTime);

	/**
	 * @param minTime
	 * @param maxTime
	 */
	public void previewLocal(long minTime, long maxTime);

}